Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class XtpServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.QServlet
                  |
                  +--com.caucho.jsp.XtpServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class XtpServlet
extends QServlet

Handles JSP pages. Most of the work is done in the JspManager and QServlet.

See Also:
  `JspManager`, Serialized Form

Fields inherited from class com.caucho.jsp.QServlet
`application`

Constructor Summary
`XtpServlet()`

Method Summary
`java.lang.String` | `getServletInfo()` Returns information about the servlet, such as author, version, and copyright.
`void` | `init(ServletConfig conf)` Initializes the servlet.

Methods inherited from class com.caucho.jsp.QServlet
`destroy, getManager, getPage, getServletContext, killPage, service, setManager`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XtpServlet

    public XtpServlet()

Method Detail

### init

    public void init(ServletConfig conf)
              throws ServletException

  Initializes the servlet. Primarily, this sets the PageManager to the correct XtpManager.

  The servlet parameter 'strict-xsl' forces XSL stylesheets to follow the strict specification. By default, XSL stylesheets follow the looser 'XSLT-lite.'

  The servlet parameter 'strict-xml' forces XTP pages to follow strict XML. By default, they're LooseHtml.

  Overrides:
    `init` in class `QServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `config` - the `ServletConfig` object that contains configutation information for this servlet
  Throws:
    `ServletException` - if an exception occurs that interrupts the servlet's normal operation
  See Also:
    `UnavailableException`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: `GenericServlet`
  Returns information about the servlet, such as author, version, and copyright. By default, this method returns an empty string. Override this method to have it return a meaningful value. See `Servlet.getServletInfo()`.
  Overrides:
    `getServletInfo` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Returns:
    String information about this servlet, by default an empty string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD